PP(1)

NAME
pp - C pretty printer

SYNOPSIS
pp [-Tdev] [-ffont] [-ttitle] [files]

DESCRIPTION
Pp formats the named C source files, or its standard input if none are given, and produces troff output format on its standard output. Thus, its output is suitable for printing on a typesetter with a program such as d202(1). In the output, comments are italicized, keywords are emboldened, and each page has header and footer tags. The -T option sets the device for output; the default is 202. The -f option sets the main font; the default is E, or Eurostyle. The -t option generates a title page with the title specified and a date stamp.

DIAGNOSTICS
Pp complains and exits if it cannot find a required font. If this happens, take the name of the missing font to a local font guru.

SEE ALSO
pr(1), troff(1), d202(1), dcan(1), etc.